Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 446275 - python ABI deps support for system-config-printer-kde and printer-applet
Summary: python ABI deps support for system-config-printer-kde and printer-applet
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 17:00 UTC by Kirill Elagin
Modified: 2013-03-09 19:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill Elagin 2012-12-06 17:00:06 UTC
If you search for closed bugs related to system-config-printer-kde you'll be surprised as there are lots of them.

Obviously, just failing to generate install target in the Makefile (so that emerge install phase crashes with awesome “no install target” message) is not the best way to report missing dependencies (e.g. broken python modules).

I'm not really sure where to report this bug, probably it should be reported upstream, but I'm not sure who is the real upstream for this package.
Comment 1 Maciej Mrozowski gentoo-dev 2012-12-06 23:56:22 UTC
No, it's not upstream bug, it's Gentoo bug. However in order to fix it properly we need proper python API dependencies in Gentoo python eclasses (which is on the way).

I was tempted to close your bug as invalid (you provided no logs, no version etc) but I guess you wanted to achieve something different as you're aware of previous reports. Let this bug serve as a reminder to do that switch, in case someone here felt like pushing this.
I don't feel that motivated personally as we have native replacement (print-manager) coming in 4.10.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2012-12-11 14:07:52 UTC
If this were to be implemented, it would probably be targeted for KDE/4.10 to ensure adequate testing. Given that the packages in question go away in 4.10, I unfortunately don't really see this happening.
Comment 3 Andreas K. Hüttel gentoo-dev 2013-03-09 19:11:23 UTC
So let's close this one too. :] s-c-p-k is going away and is replaced by print-manager.